package cn.wisenergy.mapper;

import cn.wisenergy.model.app.ProductInfo;
import org.apache.ibatis.annotations.Param;

/**
 * @author 86187
 */
public interface ProductMapper {
    /**
     * 添加产品认证信息
     *
     * @param productInfo 产品认证信息
     * @return 1
     */
    int add(ProductInfo productInfo);

    /**
     * 编辑产品认证信息
     *
     * @param productInfo 产品认证信息
     * @return 1
     */
    int edit(ProductInfo productInfo);

    /**
     * 根据批次号获取产品认证信息
     * @param batchNumber 批次号
     * @return 产品认证信息
     */
    ProductInfo getByBatchNumber(@Param("batchNumber") String batchNumber);
}
